> ## Documentation Index
> Fetch the complete documentation index at: https://help.getvero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List messages

> Lists all message nodes within a journey. These are ordered by `node_id`, in ascending order. Returns message metadata only (including `id`,
`from` and `reply_to`) but never content body attributes.
The `from` and `reply_to` are email-only fields and will return `null` for SMS and push message nodes. 




## OpenAPI

````yaml /api-reference/campaigns-v2/campaigns-v2.yaml get /journeys/{journey_id}/messages
openapi: 3.0.3
info:
  title: Vero Open API v2
  version: 2.0.0
  description: >
    OpenAPI description for the API key-authenticated `api/v2` campaign and

    broadcast endpoints.


    Authentication uses the `Authorization` header. Both of these forms are
    accepted:


    - `Authorization: sk_valid_123`

    - `Authorization: Bearer sk_valid_123`

    - `revision: 2026-03-01`


    Campaign read endpoints require the `campaign:read` permission, and campaign

    write endpoints require the `campaign:write` permission.


    Broadcast read endpoints require the `broadcast:read` permission. A
    broadcast

    is a one-off or recurring message sent to an audience.
servers:
  - url: https://api.getvero.com/api/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Broadcasts
  - name: Broadcast Messages
  - name: Broadcast Message Contents
  - name: Journeys
  - name: Journey Messages
  - name: Journey Message Contents
  - name: Campaigns
  - name: Campaign Messages
  - name: Campaign Message Contents
paths:
  /journeys/{journey_id}/messages:
    get:
      tags:
        - Journey Messages
      summary: List messages
      description: >
        Lists all message nodes within a journey. These are ordered by
        `node_id`, in ascending order. Returns message metadata only (including
        `id`,

        `from` and `reply_to`) but never content body attributes.

        The `from` and `reply_to` are email-only fields and will return `null`
        for SMS and push message nodes. 
      operationId: listJourneyMessages
      parameters:
        - name: journey_id
          in: path
          required: true
          description: Journey ID.
          schema:
            type: integer
        - name: revision
          in: header
          required: false
          description: >-
            Optional dated API revision for the request. Must use `YYYY-MM-DD`
            format.
          schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
            example: '2026-03-01'
      responses:
        '200':
          description: Journey messages returned.
          content:
            application/json:
              examples:
                default:
                  value:
                    - id: 100
                      from: hello@example.com
                      reply_to: reply@example.com
                      contents:
                        - id: 200
                          locale: null
                          is_default: true
                          subject: Welcome aboard
                          preheader_text: Glad you're here
              schema:
                type: array
                items:
                  type: object
                  required:
                    - id
                    - from
                    - reply_to
                    - contents
                  properties:
                    id:
                      type: integer
                    from:
                      type: string
                      nullable: true
                    reply_to:
                      type: string
                      nullable: true
                    contents:
                      type: array
                      items:
                        type: object
                        required:
                          - id
                          - locale
                          - is_default
                          - subject
                          - preheader_text
                        properties:
                          id:
                            type: integer
                          locale:
                            type: string
                            nullable: true
                          is_default:
                            type: boolean
                          subject:
                            type: string
                            nullable: true
                          preheader_text:
                            type: string
                            nullable: true
        '404':
          description: Journey belongs to another project.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    NotFoundError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          enum:
            - not_found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Accepts either a raw API key or `Bearer <key>`.

````